Subject: Re: [ntpwg] Updated NTPv4 Protocol Specification

From: "David L. Mills" <[email-masked]>
Date: Wed, 16 Jan 2008 00:44:47 +0000

Brian,

Two comments. First, the draft is in Unix format and has to be converted 
to read on a Windows machine. I don't know if this is IETF policy, but 
it would be consistent with the fascist views of that management.

Second, the problem with most of the suggestions on the timing point is 
that they cannot be implemented. Unless the timing point is on the PHY 
media there is no way that hardware or software can implement it. This 
is the same issue raised in IEEE 2588. It must be addressed separately 
for each PHY, as is done in 1588. In the Ethernet case it is the 
beginning of the first bit following the last bit of the SOF octet.

Dave

Brian Haberman wrote:

> NTP WG,
> The latest NTPv4 protocol specification has been published. This
> revision should address all Last Call issues raised except for
> additional text on the timing reference point. I did not see any
> consensus on the mailing list on the text proposed by Rich Osman using
> the LI as the reference point. Please review this version for all other
> changes.
>
> If you have comments on the reference point for the start time,
> please post that to the mailing list.
>
> Regards,
> Brian
>
>
> -------- Original Message --------
> Subject: I-D ACTION:draft-ietf-ntp-ntpv4-proto-08.txt
> Date: Mon, 19 Nov 2007 12:15:01 -0500
> From: [email-masked]
> Reply-To: [email-masked]
> To: [email-masked]
> CC: [email-masked]
>
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> This draft is a work item of the Network Time Protocol Working Group of
> the IETF.
>
> Title : Network Time Protocol Version 4 Protocol And Algorithms
> Specification
> Author(s) : J. Burbank, et al.
> Filename : draft-ietf-ntp-ntpv4-proto-08.txt
> Pages : 108
> Date : 2007-11-19
>
> The Network Time Protocol (NTP) is widely used to synchronize
> computer clocks in the Internet. This document describes NTP Version
> 4 (NTPv4), which is backwards compatible with NTP Version 3 (NTPv3)
> described in RFC 1305, as well as previous versions of the protocol.
> NTPv4 includes a modified protocol header to accommodate the Internet
> Protocol Version 6 address family. NTPv4 includes fundamental
> improvements in the mitigation and discipline algorithms which extend
> the potential accuracy to the tens of microseconds with modern
> workstations and fast LANs. It includes a dynamic server discovery
> scheme, so that in many cases specific server configuration is not
> required. It corrects certain errors in the NTPv3 design and
> implementation and includes an optional extension mechanism.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-ntp-ntpv4-proto-08.txt
>
> _______________________________________________
> ntpwg mailing list
> [email-masked]
> https://lists.ntp.org/mailman/listinfo/ntpwg

_______________________________________________
ntpwg mailing list
[email-masked]
https://lists.ntp.org/mailman/listinfo/ntpwg

---

From: "TS Glassey" <[email-masked]>
Date: Tue, 15 Jan 2008 18:00:32 -0800

----- Original Message ----- 
From: "David L. Mills" <[email-masked]>
To: "NTP Working Group" <[email-masked]>
Sent: Tuesday, January 15, 2008 4:44 PM
Subject: Re: [ntpwg] Updated NTPv4 Protocol Specification

> it would be consistent with the fascist views of that management.

Or make a PDF of it as well.

---

From: "David L. Mills" <[email-masked]>
Date: Wed, 16 Jan 2008 02:27:27 +0000

Todd,

The current specification document CAME from a PDF document. It took 
probably two months of volunteer staff time to convert to Postel ASCII 
and another month of my time to convert BACK to plain ASCII and re-edit, 
as the only XTML editors I can find have too small font for me to see. 
Then more time for Harlan and me to put up XTML tags to produce the 
final XTML copy. All this could have been AVOIDED if we used standard 
PDF markup. Geezus I'm MAD.

Dave

TS Glassey wrote:

>
> ----- Original Message ----- From: "David L. Mills" <[email-masked]>
>> Two comments. First, the draft is in Unix format and has to be 
>> converted to read on a Windows machine. I don't know if this is IETF 
>> policy, but it would be consistent with the fascist views of that 
>> management. 
>
>
>> Second, the problem with most of the suggestions on the timing point 
>> is that they cannot be implemented. Unless the timing point is on the 
>> PHY media there is no way that hardware or software can implement it. 
>> This is the same issue raised in IEEE 2588. It must be addressed 
>> separately for each PHY, as is done in 1588. In the Ethernet case it 
>> is the beginning of the first bit following the last bit of the SOF 
>> octet.
>>
>> Dave
>>
>> Brian Haberman wrote:
>>
>>> NTP WG,

---

From: "TS Glassey" <[email-masked]>
Date: Tue, 15 Jan 2008 18:54:23 -0800

David - My apologies, but I have a solution. The problem is that under 
current IETF rules you MUST have an ASCII filing, but you OPTIONALLY can 
also include a Post Script file or a PDF based filing which MAY contain much 
more graphical content than the original filing if that content cannot 
adequately be represented in text characters as per the acceptable IETF 
document character set.

So look - The solution for you is to not be MAD... and for you leave your 
masterpiece as it is - in PDF form and we (those of us in the WG) can cut 
and paste from your masterpiece into a MS Word Template or other composing 
tool so you don't have to worry about it at all.

I also want to propose an addition to the RFC and that is an appendix that 
document's the membership of this mailing list. Its an important new 
addition which helps document the IP participation for those relying on the 
IP and it would make a number of people happy from the audit perspective. 
Just a through.

Todd

---

From: "David L. Mills" <[email-masked]>
Date: Wed, 16 Jan 2008 06:24:09 +0000

Todd,

You don't understand. The requirement for Postel ASCII is a killer. The 
option of PDF is a nonstarter. The ASCII document is not in any sense a 
substitute for a document with mathematical equations, figures and 
tables. My contributions will be to IEEE documents in future.

Dave

TS Glassey wrote:

> current IETF rules you MUST have an ASCII filing, but you OPTIONALLY 
> can also include a Post Script file or a PDF based filing which MAY 
> contain much more graphical content than the original filing if that 
> content cannot adequately be represented in text characters as per the 
> acceptable IETF document character set.
>
> So look - The solution for you is to not be MAD... and for you leave 
> your masterpiece as it is - in PDF form and we (those of us in the WG) 
> can cut and paste from your masterpiece into a MS Word Template or 
> other composing tool so you don't have to worry about it at all.
>
> I also want to propose an addition to the RFC and that is an appendix 
> that document's the membership of this mailing list. Its an important 
> new addition which helps document the IP participation for those 
> relying on the IP and it would make a number of people happy from the 
> audit perspective. Just a through.
>
>
> Todd
>

---

From: "Odonoghue, Karen F CIV NSWCDD, W13" <[email-masked]>
Date: Thu, 17 Jan 2008 05:09:15 -0600

Dave,

The issue of the timestamp point was discussed at the December
meeting. A small group worked on some text that will appear in
the next draft. This draft will be coming out soon. Hopefully
it will sufficiently address this issue.

Karen

> -----Original Message-----
> From: ntpwg-bounces+karen.odonoghue=[email-masked] 
> [mailto:ntpwg-bounces+karen.odonoghue=[email-masked]] 
> On Behalf Of David L. Mills
> Sent: Tuesday, January 15, 2008 19:45
> To: NTP Working Group
> Two comments. First, the draft is in Unix format and has to 
> be converted to read on a Windows machine. I don't know if 
> this is IETF policy, but it would be consistent with the 
> fascist views of that management.
> 
> Second, the problem with most of the suggestions on the 
> timing point is that they cannot be implemented. Unless the 
> timing point is on the PHY media there is no way that 
> hardware or software can implement it. This is the same issue 
> raised in IEEE 2588. It must be addressed separately for each 
> PHY, as is done in 1588. In the Ethernet case it is the

---

From: "David L. Mills" <[email-masked]>
Date: Fri, 18 Jan 2008 16:35:32 +0000

Karen,

Your meeting minutes said that some aspects of the timing point issue 
were not discussed. From the absence of the point I made, I assumed that 
point had not been discussed. In any case, I am glad the issue is still 
on the stove and is to be resolved.

Dave

Odonoghue, Karen F CIV NSWCDD, W13 wrote:

>>>consensus on the mailing list on the text proposed by Rich 
>>>
>>Osman using
>>
>>>the LI as the reference point. Please review this version 
>>>
>>for all other
>>
>>>changes.
>>>
>>>This draft is a work item of the Network Time Protocol 
>>>
>>Working Group of
>>
>>>the IETF.
>>>
>>>NTPv4 includes a modified protocol header to accommodate 
>>>
>>the Internet
>>
>>>improvements in the mitigation and discipline algorithms 
>>>
>>which extend
>>

---

From: Danny Mayer <[email-masked]>
Date: Sat, 19 Jan 2008 20:18:08 -0500

Dave,

I was listening in on the meeting and I can assure you that this was 
discussed. I could have sworn I saw this in the minutes.

Danny